Summary: Data Management API runtime environment.
Name: dmapi
Version: 2.2.8
Release: 1%{?dist}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Prereq: /sbin/ldconfig
BuildRequires: xfsprogs-devel, e2fsprogs-devel
Conflicts: xfsdump < 2.0.0
Source: %{name}-%{version}.tar.gz
License: GPL
URL: http://oss.sgi.com/projects/xfs/
Group: System Environment/Base

%description
Files required by system software using the Data Management API
(DMAPI).  This is used to implement the interface defined in the
X/Open document:  Systems Management: Data Storage Managment
(XDSM) API dated February 1997.  This interface is implemented
by the libdm library.

%package devel
Summary: Data Management API static libraries and headers.
Group: Development/Libraries
Requires: dmapi >= 2.0.4

%description devel
dmapi-devel contains the libraries and header files needed to
develop programs which make use of the Data Management API
(DMAPI).  If you install dmapi-devel, you'll also want to install
the dmapi (runtime) package and the xfsprogs-devel package.

%prep
if [ -f .census ] ; then
   if [ ! -d ${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION} ] ; then
      ln -s . ${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}
   fi
else
%setup
/usr/bin/gmake configure
fi

%build
/usr/bin/gmake

%install
DIST_ROOT="$RPM_BUILD_ROOT"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV
/usr/bin/gmake install DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/gmake -C build/rpm rpmfiles DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/gmake install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"
/usr/bin/gmake -C build/rpm rpmfiles-dev DIST_MANIFEST="$DIST_INSTALL_DEV"

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f build/rpm/rpmfiles

%files devel -f build/rpm/rpmfiles-dev

%changelog
*Tue Apr 17 2007 Johnny Hughes <johnny@centos.org>
- upgraded to version 2.2.8
- Initial build for CentOS-5

*Sat Aug 26 2006 Johnny Hughes <johnny@centos.org>
- initial spec
- initial centosplus build
